<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.model.mxGraphModel (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.model.mxGraphModel (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.model.mxGraphModel" class="title">Uses of Class<br>hk.quantr.mxgraph.model.mxGraphModel</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.model">hk.quantr.mxgraph.model</a></th>
<td class="colLast">
<div class="block">This package contains the classes that define a graph model.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.model">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a> in <a href="../package-summary.html">hk.quantr.mxgraph.model</a></h3>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">hk.quantr.mxgraph.model</a> with parameters of type <a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxChildChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,java.lang.Object)">mxChildChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
             java.lang.Object&nbsp;parent,
             java.lang.Object&nbsp;child)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxChildChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,java.lang.Object,int)">mxChildChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
             java.lang.Object&nbsp;parent,
             java.lang.Object&nbsp;child,
             int&nbsp;index)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxCollapseChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,boolean)">mxCollapseChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
                java.lang.Object&nbsp;cell,
                boolean&nbsp;collapsed)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxGeometryChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,hk.quantr.mxgraph.model.mxGeometry)">mxGeometryChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
                java.lang.Object&nbsp;cell,
                <a href="../mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geometry)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxRootChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object)">mxRootChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
            java.lang.Object&nbsp;root)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxStyleChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,java.lang.String)">mxStyleChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
             java.lang.Object&nbsp;cell,
             java.lang.String&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxTerminalChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,java.lang.Object,boolean)">mxTerminalChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
                java.lang.Object&nbsp;cell,
                java.lang.Object&nbsp;terminal,
                boolean&nbsp;source)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxValueChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,java.lang.Object)">mxValueChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
             java.lang.Object&nbsp;cell,
             java.lang.Object&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphModel.mxVisibleChange.html#%3Cinit%3E(hk.quantr.mxgraph.model.mxGraphModel,java.lang.Object,boolean)">mxVisibleChange</a></span>&#8203;(<a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a>&nbsp;model,
               java.lang.Object&nbsp;cell,
               boolean&nbsp;visible)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphModel.html" title="class in hk.quantr.mxgraph.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
